Name:          kopete
Version:       16.08.2
Release:       1mamba
Summary:       Multi-protocol plugin-based instant messenger for the K Desktop Environment
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/applications/%{version}/src/kopete-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: kdepimlibs-devel
BuildRequires: libX11-devel
BuildRequires: libXScrnSaver-devel
BuildRequires: libexpat-devel
BuildRequires: libgadu-devel
BuildRequires: libgcc
BuildRequires: libgif-devel
BuildRequires: libglib-devel
BuildRequires: libidn-devel
BuildRequires: libjasper-devel
BuildRequires: libjpeg-devel
BuildRequires: libjsoncpp-devel
BuildRequires: libmeanwhile-devel
BuildRequires: libmediastreamer-devel
BuildRequires: libmsn-devel
BuildRequires: libopenssl-devel
BuildRequires: libortp-devel
BuildRequires: libotr-devel
BuildRequires: libphonon-devel
BuildRequires: libqca-devel
BuildRequires: libqimageblitz-devel
BuildRequires: libqt4-devel
BuildRequires: libsoprano-devel
BuildRequires: libsrtp-devel
BuildRequires: libstdc++6-devel
BuildRequires: libv4l-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: libz-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: libjsoncpp-devel >= 1.7.7-1mamba
BuildRequires: automoc4
BuildRequires: cmake
BuildRequires: libotr >= 4.0.0
BuildRequires: libmediastreamer-devel >= 2.12.1
BuildConflicts: libxmms-devel
Requires:      kdelibs%{?_kde4_version: >= %{_kde4_version}}
Requires:      qca-ossl
Provides:      libkopete
Obsoletes:     libkopete
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

# 4.13.2:
#   * Kleopatra  <http://kde.org></http:>
#     The Kleopatra libraries (from kdepim)
#     Required for the Cryptography plugin

%description
Multi-protocol plugin-based instant messenger for the K Desktop Environment.
This package is part of KDE4.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      kdelibs-devel
Provides:      libkopete-devel
Obsoletes:     libkopete-devel

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde4 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
touch --no-create %{_kde4_icondir}/hicolor >/dev/null 2>&1
touch --no-create %{_kde4_icondir}/oxygen >/dev/null 2>&1
exit 0

%posttrans
/sbin/ldconfig
update-desktop-database -q >/dev/null 2>&1
update-mime-database %{_kde4_mimedir} >/dev/null 2>&1
gtk-update-icon-cache %{_kde4_icondir}/hicolor >/dev/null 2>&1
gtk-update-icon-cache %{_kde4_icondir}/oxygen >/dev/null 2>&1
exit 0

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
   update-desktop-database -q >/dev/null 2>&1
   update-mime-database %{_kde4_mimedir} >/dev/null 2>&1
   touch --no-create %{_kde4_icondir}/hicolor >/dev/null 2>&1
   gtk-update-icon-cache %{_kde4_icondir}/hicolor >/dev/null 2>&1
   touch --no-create %{_kde4_icondir}/oxygen >/dev/null 2>&1
   gtk-update-icon-cache %{_kde4_icondir}/oxygen >/dev/null 2>&1
fi
exit 0

%files
%defattr(-,root,root)
#%{_kde4_bindir}/googletalk-call
%{_kde4_bindir}/kopete
%{_kde4_bindir}/kopete_latexconvert.sh
%{_kde4_bindir}/libjingle-call
%{_kde4_bindir}/winpopup-install
%{_kde4_bindir}/winpopup-send
%{_kde4_libdir}/kde4/kcm_kopete_accountconfig.so
%{_kde4_libdir}/kde4/kcm_kopete_addbookmarks.so
%{_kde4_libdir}/kde4/kcm_kopete_appearanceconfig.so
%{_kde4_libdir}/kde4/kcm_kopete_autoreplace.so
%{_kde4_libdir}/kde4/kcm_kopete_avdeviceconfig.so
%{_kde4_libdir}/kde4/kcm_kopete_behaviorconfig.so
%{_kde4_libdir}/kde4/kcm_kopete_chatwindowconfig.so
%{_kde4_libdir}/kde4/kcm_kopete_highlight.so
%{_kde4_libdir}/kde4/kcm_kopete_history.so
%{_kde4_libdir}/kde4/kcm_kopete_history2.so
%{_kde4_libdir}/kde4/kcm_kopete_latex.so
%{_kde4_libdir}/kde4/kcm_kopete_nowlistening.so
%{_kde4_libdir}/kde4/kcm_kopete_otr.so
%{_kde4_libdir}/kde4/kcm_kopete_pipes.so
%{_kde4_libdir}/kde4/kcm_kopete_pluginconfig.so
%{_kde4_libdir}/kde4/kcm_kopete_privacy.so
%{_kde4_libdir}/kde4/kcm_kopete_statusconfig.so
%{_kde4_libdir}/kde4/kcm_kopete_texteffect.so
%{_kde4_libdir}/kde4/kcm_kopete_translator.so
%{_kde4_libdir}/kde4/kcm_kopete_urlpicpreview.so
%{_kde4_libdir}/kde4/kcm_kopete_webpresence.so
%{_kde4_libdir}/kde4/kopete_addbookmarks.so
%{_kde4_libdir}/kde4/kopete_aim.so
%{_kde4_libdir}/kde4/kopete_autoreplace.so
%{_kde4_libdir}/kde4/kopete_bonjour.so
%{_kde4_libdir}/kde4/kopete_chatwindow.so
%{_kde4_libdir}/kde4/kopete_contactnotes.so
%{_kde4_libdir}/kde4/kopete_emailwindow.so
%{_kde4_libdir}/kde4/kopete_gadu.so
%{_kde4_libdir}/kde4/kopete_groupwise.so
%{_kde4_libdir}/kde4/kopete_highlight.so
%{_kde4_libdir}/kde4/kopete_history.so
%{_kde4_libdir}/kde4/kopete_history2.so
%{_kde4_libdir}/kde4/kopete_icq.so
%{_kde4_libdir}/kde4/kopete_jabber.so
%{_kde4_libdir}/kde4/kopete_latex.so
%{_kde4_libdir}/kde4/kopete_meanwhile.so
%{_kde4_libdir}/kde4/kopete_nowlistening.so
%{_kde4_libdir}/kde4/kopete_otr.so
%{_kde4_libdir}/kde4/kopete_pipes.so
%{_kde4_libdir}/kde4/kopete_privacy.so
%{_kde4_libdir}/kde4/kopete_qq.so
%{_kde4_libdir}/kde4/kopete_skype.so
%{_kde4_libdir}/kde4/kopete_sms.so
%{_kde4_libdir}/kde4/kopete_statistics.so
%{_kde4_libdir}/kde4/kopete_testbed.so
%{_kde4_libdir}/kde4/kopete_texteffect.so
%{_kde4_libdir}/kde4/kopete_translator.so
%{_kde4_libdir}/kde4/kopete_urlpicpreview.so
%{_kde4_libdir}/kde4/kopete_webpresence.so
%{_kde4_libdir}/kde4/kopete_wlm.so
%{_kde4_libdir}/kde4/kopete_wp.so
%{_kde4_libdir}/kde4/kopete_yahoo.so
%{_kde4_libdir}/kde4/libchattexteditpart.so
%{_kde4_pluginsdir}/accessible/chatwindowaccessiblewidgetfactory.so
%{_kde4_libdir}/libkopete.so.*
%{_kde4_libdir}/libkopete_oscar.so.*
%{_kde4_libdir}/libkopete_otr_shared.so.*
%{_kde4_libdir}/libkopete_videodevice.so.*
%{_kde4_libdir}/libkopeteaddaccountwizard.so.*
%{_kde4_libdir}/libkopetechatwindow_shared.so.*
%{_kde4_libdir}/libkopetecontactlist.so.*
%{_kde4_libdir}/libkopeteidentity.so.*
%{_kde4_libdir}/libkopeteprivacy.so.*
%{_kde4_libdir}/libkopetestatusmenu.so.*
%{_kde4_libdir}/libkyahoo.so.*
%{_kde4_libdir}/liboscar.so.*
%{_kde4_libdir}/libqgroupwise.so
%{_kde4_libdir}/mozilla/plugins/skypebuttons.so
%{_kde4_xdgappsdir}/kopete.desktop
%{_kde4_kconfupdatedir}/kopete-*
%dir %{_kde4_datadir}/kopete
%{_kde4_datadir}/kopete/*.xml
%dir %{_kde4_datadir}/kopete/icons
%dir %{_kde4_datadir}/kopete/icons/crystalsvg
%{_kde4_datadir}/kopete/icons/crystalsvg/*
%dir %{_kde4_datadir}/kopete/icons/hicolor
%{_kde4_datadir}/kopete/icons/hicolor/*
%dir %{_kde4_datadir}/kopete/icons/oxygen
%{_kde4_datadir}/kopete/icons/oxygen/*
%{_kde4_datadir}/kopete/kopete*rc
%{_kde4_datadir}/kopete/nowlisteningchatui.rc
%{_kde4_datadir}/kopete/nowlisteningui.rc
%dir %{_kde4_datadir}/kopete/styles
%{_kde4_datadir}/kopete/styles/*
%dir %{_kde4_datadir}/kopete/webpresence
%{_kde4_datadir}/kopete/webpresence/webpresence*.xsl
%{_kde4_datadir}/kopete_contactnotes/contactnotesui.rc
%dir %{_kde4_datadir}/kopete_contactnotes
%{_kde4_datadir}/kopete_groupwise/gwchatui.rc
%dir %{_kde4_datadir}/kopete_history
%{_kde4_datadir}/kopete_history/history*.rc
%dir %{_kde4_datadir}/kopete_history2
%{_kde4_datadir}/kopete_history2/history2*.rc
%dir %{_kde4_datadir}/kopete_jabber
%{_kde4_datadir}/kopete_jabber/jabberchatui.rc
%dir %{_kde4_datadir}/kopete_latex
%{_kde4_datadir}/kopete_latex/latexchatui.rc
%dir %{_kde4_datadir}/kopete_otr
%{_kde4_datadir}/kopete_otr/otr*.rc
%dir %{_kde4_datadir}/kopete_privacy
%{_kde4_datadir}/kopete_privacy/privacy*.rc
%dir %{_kde4_datadir}/kopete_skype
%{_kde4_datadir}/kopete_skype/skype*.rc
%dir %{_kde4_datadir}/kopete_statistics
%{_kde4_datadir}/kopete_statistics/statisticsui.rc
%dir %{_kde4_datadir}/kopete_translator
%{_kde4_datadir}/kopete_translator/translator*.rc
%dir %{_kde4_datadir}/kopete_wlm
%{_kde4_datadir}/kopete_wlm/wlmchatui.rc
%dir %{_kde4_datadir}/kopete_yahoo
%{_kde4_datadir}/kopete_yahoo/yahoo*.rc
%dir %{_kde4_datadir}/kopeterichtexteditpart
%{_kde4_datadir}/kopeterichtexteditpart/kopeterichtexteditpartfull.rc
%{_kde4_kcfgdir}/*.kcfg
%config %{_kde4_configdir}/kopeterc
%doc %lang(en) %{_kde4_htmldir}/en/kopete/*.png
%doc %lang(en) %{_kde4_htmldir}/en/kopete/*.docbook
%doc %lang(en) %{_kde4_htmldir}/en/kopete/common
%doc %lang(en) %{_kde4_htmldir}/en/kopete/index.cache.bz2
%doc %lang(en) %{_kde4_htmldir}/en/kopete/pipes.docbook
%{_kde4_icondir}/hicolor/*
%{_kde4_icondir}/oxygen/*
%{_kde4_servicesdir}/aim.protocol
%{_kde4_servicesdir}/callto.protocol
%{_kde4_servicesdir}/chatwindow.desktop
%{_kde4_servicesdir}/emailwindow.desktop
%dir %{_kde4_servicesdir}/kconfiguredialog
%{_kde4_servicesdir}/kconfiguredialog/kopete_*.desktop
%{_kde4_servicesdir}/kopete_*.desktop
%{_kde4_servicesdir}/skype.protocol
%{_kde4_servicesdir}/tel.protocol
%{_kde4_servicesdir}/xmpp.protocol
%{_kde4_servicetypesdir}/kopeteplugin.desktop
%{_kde4_servicetypesdir}/kopeteprotocol.desktop
%{_kde4_servicetypesdir}/kopeteui.desktop
%{_kde4_soundsdir}/Kopete_Event.ogg
%{_kde4_soundsdir}/Kopete_Received.ogg
%{_kde4_soundsdir}/Kopete_Sent.ogg
%{_kde4_soundsdir}/Kopete_User_is_Online.ogg
%{_datadir}/dbus-1/interfaces/org.kde.Kopete.xml
%{_datadir}/dbus-1/interfaces/org.kde.kopete.Client.xml
%{_datadir}/dbus-1/interfaces/org.kde.kopete.Statistics.xml
%doc AUTHORS COPYING COPYING.DOC COPYING.LIB

%files devel
%defattr(-,root,root)
%dir %{_kde4_includedir}/kopete
%{_kde4_includedir}/kopete/*.h
%dir %{_kde4_includedir}/kopete/ui/*.h
%{_kde4_libdir}/libkopete.so
%{_kde4_libdir}/libkopete_oscar.so
%{_kde4_libdir}/libkopete_otr_shared.so
%{_kde4_libdir}/libkopete_videodevice.so
%{_kde4_libdir}/libkopeteaddaccountwizard.so
%{_kde4_libdir}/libkopetechatwindow_shared.so
%{_kde4_libdir}/libkopetecontactlist.so
%{_kde4_libdir}/libkopeteidentity.so
%{_kde4_libdir}/libkopeteprivacy.so
%{_kde4_libdir}/libkopetestatusmenu.so
%{_kde4_libdir}/libkyahoo.so
%{_kde4_libdir}/liboscar.so

%changelog
* Mon Nov 07 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 16.08.2-1mamba
- update to 16.08.2

* Mon Nov 07 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 15.12.1-2mamba
- rebuilt by autoport with build requirements: libjsoncpp-devel>=1.7.7-1mamba

* Sat Feb 06 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 15.12.1-1mamba
- update to 15.12.1

* Tue Dec 29 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 15.08.3-1mamba
- update to 15.08.3

* Wed Jul 29 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 15.04.3-1mamba
- update to 15.04.3

* Wed Jul 29 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.14.3-3mamba
- rebuilt with libmediastreamer 2.11.1

* Fri Jan 30 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.14.3-2mamba
- rebuilt by autoport with build requirements: libjsoncpp-devel>=1.1.0-1mamba

* Thu Nov 20 2014 Automatic Build System <autodist@mambasoft.it> 4.14.3-1mamba
- automatic version update by autodist

* Mon Oct 20 2014 Automatic Build System <autodist@mambasoft.it> 4.14.2-1mamba
- automatic version update by autodist

* Sun Sep 28 2014 Automatic Build System <autodist@mambasoft.it> 4.14.1-1mamba
- automatic version update by autodist

* Fri Aug 22 2014 Automatic Build System <autodist@mambasoft.it> 4.14.0-1mamba
- automatic version update by autodist

* Tue Jul 15 2014 Automatic Build System <autodist@mambasoft.it> 4.13.3-1mamba
- automatic version update by autodist

* Fri Jun 20 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.13.2-2mamba
- rebuilt with libotr 4.0.0, libjsoncpp, libsrtp

* Fri Jun 13 2014 Automatic Build System <autodist@mambasoft.it> 4.13.2-1mamba
- automatic version update by autodist

* Sat May 24 2014 Automatic Build System <autodist@mambasoft.it> 4.13.1-1mamba
- automatic version update by autodist

* Thu Apr 17 2014 Automatic Build System <autodist@mambasoft.it> 4.13.0-1mamba
- automatic version update by autodist

* Wed Apr 09 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.12.4-2mamba
- added requirement for qca-ossl

* Fri Apr 04 2014 Automatic Build System <autodist@mambasoft.it> 4.12.4-1mamba
- automatic version update by autodist

* Wed Mar 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.3-1mamba
- automatic version update by autodist

* Wed Feb 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic version update by autodist

* Tue Jan 14 2014 Automatic Build System <autodist@mambasoft.it> 4.12.1-1mamba
- automatic version update by autodist

* Sat Dec 21 2013 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Thu Dec 05 2013 Automatic Build System <autodist@mambasoft.it> 4.11.4-1mamba
- automatic version update by autodist

* Wed Nov 06 2013 Automatic Build System <autodist@mambasoft.it> 4.11.3-1mamba
- automatic version update by autodist

* Wed Oct 02 2013 Automatic Build System <autodist@mambasoft.it> 4.11.2-1mamba
- automatic version update by autodist

* Wed Sep 04 2013 Automatic Build System <autodist@mambasoft.it> 4.11.1-1mamba
- automatic version update by autodist

* Sun Sep 01 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.11.0-1mamba
- package created by silvan using the webbuild interface
